/* /samba-4.10.11/bin/default/source4/heimdal/lib/wind/bidi_table.c */
/* Automatically generated at 2019-12-18T11:49:24.329488 */


#include "bidi_table.h"
#include <stdlib.h>

const struct range_entry _wind_ral_table[] = {
  {0x5be, 1},
  {0x5c0, 1},
  {0x5c3, 1},
  {0x5d0, 0x1b},
  {0x5f0, 0x5},
  {0x61b, 1},
  {0x61f, 1},
  {0x621, 0x1a},
  {0x640, 0xb},
  {0x66d, 0x3},
  {0x671, 0x65},
  {0x6dd, 1},
  {0x6e5, 0x2},
  {0x6fa, 0x5},
  {0x700, 0xe},
  {0x710, 1},
  {0x712, 0x1b},
  {0x780, 0x26},
  {0x7b1, 1},
  {0x200f, 1},
  {0xfb1d, 1},
  {0xfb1f, 0xa},
  {0xfb2a, 0xd},
  {0xfb38, 0x5},
  {0xfb3e, 1},
  {0xfb40, 0x2},
  {0xfb43, 0x2},
  {0xfb46, 0x6c},
  {0xfbd3, 0x16b},
  {0xfd50, 0x40},
  {0xfd92, 0x36},
  {0xfdf0, 0xd},
  {0xfe70, 0x5},
  {0xfe76, 0x87},
};

const size_t _wind_ral_table_size = 34;

const struct range_entry _wind_l_table[] = {
  {0x41, 0x1a},
  {0x61, 0x1a},
  {0xaa, 1},
  {0xb5, 1},
  {0xba, 1},
  {0xc0, 0x17},
  {0xd8, 0x1f},
  {0xf8, 0x129},
  {0x222, 0x12},
  {0x250, 0x5e},
  {0x2b0, 0x9},
  {0x2bb, 0x7},
  {0x2d0, 0x2},
  {0x2e0, 0x5},
  {0x2ee, 1},
  {0x37a, 1},
  {0x386, 1},
  {0x388, 0x3},
  {0x38c, 1},
  {0x38e, 0x14},
  {0x3a3, 0x2c},
  {0x3d0, 0x26},
  {0x400, 0x83},
  {0x48a, 0x45},
  {0x4d0, 0x26},
  {0x4f8, 0x2},
  {0x500, 0x10},
  {0x531, 0x26},
  {0x559, 0x7},
  {0x561, 0x27},
  {0x589, 1},
  {0x903, 1},
  {0x905, 0x35},
  {0x93d, 0x4},
  {0x949, 0x4},
  {0x950, 1},
  {0x958, 0xa},
  {0x964, 0xd},
  {0x982, 0x2},
  {0x985, 0x8},
  {0x98f, 0x2},
  {0x993, 0x16},
  {0x9aa, 0x7},
  {0x9b2, 1},
  {0x9b6, 0x4},
  {0x9be, 0x3},
  {0x9c7, 0x2},
  {0x9cb, 0x2},
  {0x9d7, 1},
  {0x9dc, 0x2},
  {0x9df, 0x3},
  {0x9e6, 0xc},
  {0x9f4, 0x7},
  {0xa05, 0x6},
  {0xa0f, 0x2},
  {0xa13, 0x16},
  {0xa2a, 0x7},
  {0xa32, 0x2},
  {0xa35, 0x2},
  {0xa38, 0x2},
  {0xa3e, 0x3},
  {0xa59, 0x4},
  {0xa5e, 1},
  {0xa66, 0xa},
  {0xa72, 0x3},
  {0xa83, 1},
  {0xa85, 0x7},
  {0xa8d, 1},
  {0xa8f, 0x3},
  {0xa93, 0x16},
  {0xaaa, 0x7},
  {0xab2, 0x2},
  {0xab5, 0x5},
  {0xabd, 0x4},
  {0xac9, 1},
  {0xacb, 0x2},
  {0xad0, 1},
  {0xae0, 1},
  {0xae6, 0xa},
  {0xb02, 0x2},
  {0xb05, 0x8},
  {0xb0f, 0x2},
  {0xb13, 0x16},
  {0xb2a, 0x7},
  {0xb32, 0x2},
  {0xb36, 0x4},
  {0xb3d, 0x2},
  {0xb40, 1},
  {0xb47, 0x2},
  {0xb4b, 0x2},
  {0xb57, 1},
  {0xb5c, 0x2},
  {0xb5f, 0x3},
  {0xb66, 0xb},
  {0xb83, 1},
  {0xb85, 0x6},
  {0xb8e, 0x3},
  {0xb92, 0x4},
  {0xb99, 0x2},
  {0xb9c, 1},
  {0xb9e, 0x2},
  {0xba3, 0x2},
  {0xba8, 0x3},
  {0xbae, 0x8},
  {0xbb7, 0x3},
  {0xbbe, 0x2},
  {0xbc1, 0x2},
  {0xbc6, 0x3},
  {0xbca, 0x3},
  {0xbd7, 1},
  {0xbe7, 0xc},
  {0xc01, 0x3},
  {0xc05, 0x8},
  {0xc0e, 0x3},
  {0xc12, 0x17},
  {0xc2a, 0xa},
  {0xc35, 0x5},
  {0xc41, 0x4},
  {0xc60, 0x2},
  {0xc66, 0xa},
  {0xc82, 0x2},
  {0xc85, 0x8},
  {0xc8e, 0x3},
  {0xc92, 0x17},
  {0xcaa, 0xa},
  {0xcb5, 0x5},
  {0xcbe, 1},
  {0xcc0, 0x5},
  {0xcc7, 0x2},
  {0xcca, 0x2},
  {0xcd5, 0x2},
  {0xcde, 1},
  {0xce0, 0x2},
  {0xce6, 0xa},
  {0xd02, 0x2},
  {0xd05, 0x8},
  {0xd0e, 0x3},
  {0xd12, 0x17},
  {0xd2a, 0x10},
  {0xd3e, 0x3},
  {0xd46, 0x3},
  {0xd4a, 0x3},
  {0xd57, 1},
  {0xd60, 0x2},
  {0xd66, 0xa},
  {0xd82, 0x2},
  {0xd85, 0x12},
  {0xd9a, 0x18},
  {0xdb3, 0x9},
  {0xdbd, 1},
  {0xdc0, 0x7},
  {0xdcf, 0x3},
  {0xdd8, 0x8},
  {0xdf2, 0x3},
  {0xe01, 0x30},
  {0xe32, 0x2},
  {0xe40, 0x7},
  {0xe4f, 0xd},
  {0xe81, 0x2},
  {0xe84, 1},
  {0xe87, 0x2},
  {0xe8a, 1},
  {0xe8d, 1},
  {0xe94, 0x4},
  {0xe99, 0x7},
  {0xea1, 0x3},
  {0xea5, 1},
  {0xea7, 1},
  {0xeaa, 0x2},
  {0xead, 0x4},
  {0xeb2, 0x2},
  {0xebd, 1},
  {0xec0, 0x5},
  {0xec6, 1},
  {0xed0, 0xa},
  {0xedc, 0x2},
  {0xf00, 0x18},
  {0xf1a, 0x1b},
  {0xf36, 1},
  {0xf38, 1},
  {0xf3e, 0xa},
  {0xf49, 0x22},
  {0xf7f, 1},
  {0xf85, 1},
  {0xf88, 0x4},
  {0xfbe, 0x8},
  {0xfc7, 0x6},
  {0xfcf, 1},
  {0x1000, 0x22},
  {0x1023, 0x5},
  {0x1029, 0x2},
  {0x102c, 1},
  {0x1031, 1},
  {0x1038, 1},
  {0x1040, 0x18},
  {0x10a0, 0x26},
  {0x10d0, 0x29},
  {0x10fb, 1},
  {0x1100, 0x5a},
  {0x115f, 0x44},
  {0x11a8, 0x52},
  {0x1200, 0x7},
  {0x1208, 0x3f},
  {0x1248, 1},
  {0x124a, 0x4},
  {0x1250, 0x7},
  {0x1258, 1},
  {0x125a, 0x4},
  {0x1260, 0x27},
  {0x1288, 1},
  {0x128a, 0x4},
  {0x1290, 0x1f},
  {0x12b0, 1},
  {0x12b2, 0x4},
  {0x12b8, 0x7},
  {0x12c0, 1},
  {0x12c2, 0x4},
  {0x12c8, 0x7},
  {0x12d0, 0x7},
  {0x12d8, 0x17},
  {0x12f0, 0x1f},
  {0x1310, 1},
  {0x1312, 0x4},
  {0x1318, 0x7},
  {0x1320, 0x27},
  {0x1348, 0x13},
  {0x1361, 0x1c},
  {0x13a0, 0x55},
  {0x1401, 0x276},
  {0x1681, 0x1a},
  {0x16a0, 0x51},
  {0x1700, 0xd},
  {0x170e, 0x4},
  {0x1720, 0x12},
  {0x1735, 0x2},
  {0x1740, 0x12},
  {0x1760, 0xd},
  {0x176e, 0x3},
  {0x1780, 0x37},
  {0x17be, 0x8},
  {0x17c7, 0x2},
  {0x17d4, 0x7},
  {0x17dc, 1},
  {0x17e0, 0xa},
  {0x1810, 0xa},
  {0x1820, 0x58},
  {0x1880, 0x29},
  {0x1e00, 0x9c},
  {0x1ea0, 0x5a},
  {0x1f00, 0x16},
  {0x1f18, 0x6},
  {0x1f20, 0x26},
  {0x1f48, 0x6},
  {0x1f50, 0x8},
  {0x1f59, 1},
  {0x1f5b, 1},
  {0x1f5d, 1},
  {0x1f5f, 0x1f},
  {0x1f80, 0x35},
  {0x1fb6, 0x7},
  {0x1fbe, 1},
  {0x1fc2, 0x3},
  {0x1fc6, 0x7},
  {0x1fd0, 0x4},
  {0x1fd6, 0x6},
  {0x1fe0, 0xd},
  {0x1ff2, 0x3},
  {0x1ff6, 0x7},
  {0x200e, 1},
  {0x2071, 1},
  {0x207f, 1},
  {0x2102, 1},
  {0x2107, 1},
  {0x210a, 0xa},
  {0x2115, 1},
  {0x2119, 0x5},
  {0x2124, 1},
  {0x2126, 1},
  {0x2128, 1},
  {0x212a, 0x4},
  {0x212f, 0x3},
  {0x2133, 0x7},
  {0x213d, 0x3},
  {0x2145, 0x5},
  {0x2160, 0x24},
  {0x2336, 0x45},
  {0x2395, 1},
  {0x249c, 0x4e},
  {0x3005, 0x3},
  {0x3021, 0x9},
  {0x3031, 0x5},
  {0x3038, 0x5},
  {0x3041, 0x56},
  {0x309d, 0x3},
  {0x30a1, 0x5a},
  {0x30fc, 0x4},
  {0x3105, 0x28},
  {0x3131, 0x5e},
  {0x3190, 0x28},
  {0x31f0, 0x2d},
  {0x3220, 0x24},
  {0x3260, 0x1c},
  {0x327f, 0x32},
  {0x32c0, 0xc},
  {0x32d0, 0x2f},
  {0x3300, 0x77},
  {0x337b, 0x63},
  {0x33e0, 0x1f},
  {0x3400, 0x19b6},
  {0x4e00, 0x51a6},
  {0xa000, 0x48d},
  {0xac00, 0x2ba4},
  {0xd800, 0x222e},
  {0xfa30, 0x3b},
  {0xfb00, 0x7},
  {0xfb13, 0x5},
  {0xff21, 0x1a},
  {0xff41, 0x1a},
  {0xff66, 0x59},
  {0xffc2, 0x6},
  {0xffca, 0x6},
  {0xffd2, 0x6},
  {0xffda, 0x3},
  {0x10300, 0x1f},
  {0x10320, 0x4},
  {0x10330, 0x1b},
  {0x10400, 0x26},
  {0x10428, 0x26},
  {0x1d000, 0xf6},
  {0x1d100, 0x27},
  {0x1d12a, 0x3d},
  {0x1d16a, 0x9},
  {0x1d183, 0x2},
  {0x1d18c, 0x1e},
  {0x1d1ae, 0x30},
  {0x1d400, 0x55},
  {0x1d456, 0x47},
  {0x1d49e, 0x2},
  {0x1d4a2, 1},
  {0x1d4a5, 0x2},
  {0x1d4a9, 0x4},
  {0x1d4ae, 0xc},
  {0x1d4bb, 1},
  {0x1d4bd, 0x4},
  {0x1d4c2, 0x2},
  {0x1d4c5, 0x41},
  {0x1d507, 0x4},
  {0x1d50d, 0x8},
  {0x1d516, 0x7},
  {0x1d51e, 0x1c},
  {0x1d53b, 0x4},
  {0x1d540, 0x5},
  {0x1d546, 1},
  {0x1d54a, 0x7},
  {0x1d552, 0x152},
  {0x1d6a8, 0x122},
  {0x20000, 0xa6d7},
  {0x2f800, 0x21e},
  {0xf0000, 0xfffe},
  {0x100000, 0xfffe},
};

const size_t _wind_l_table_size = 360;

